curl --request PATCH \
--url https://api.arize.com/v2/datasets/{dataset_id}/examples \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"examples": [
{
"id": "example_001",
"question": "What is 2 * 2?"
},
{
"id": "example_002",
"question": "What is the square root of 64?",
"answer": "8"
},
{
"id": "example_003",
"question": "If 9x = 36, what is x?",
"topic": "algebra"
}
]
}
'{
"id": "RGF0YXNldDoxOmFCY0Q=",
"name": "Sample Dataset",
"space_id": "U3BhY2U6MTphQmNE",
"created_at": "2024-01-01T12:00:00Z",
"updated_at": "2024-01-02T12:00:00Z",
"dataset_version_id": "RGF0YXNldFZlcnNpb246MTphQmNE",
"example_ids": [
"550e8400-e29b-41d4-a716-446655440000",
"6ba7b810-9dad-11d1-80b4-00c04fd430c8"
]
}Updates existing dataset examples by matching their id field.
an example ID does not match any existing example in the dataset version, it will be ignored. In other words, only examples with IDs that already exist will be updated. To add new examples, use the Insert Dataset Examples endpoint.
Adding columns that do not exist in the dataset schema is allowed, but removing existing columns is not.
Optionally, the update can create a new version of the dataset. In this case, the outcome of the update will be reflected only in the new version, while the previous version remains unchanged. If a new version is not created, the updates will be applied directly (in place) to the specified version.
Payload Requirements
examples[] may contain any user-defined fields.examples[] must include the id field to identify the
example to update.created_at, updated_at.
Requests that contain these fields in any example will be rejected.{} is invalid).Valid example (create)
{
"examples": [
{
"id": "ex_001",
"question": "What is 2+2?",
"answer": "4",
"topic": "math"
}
]
}
Invalid example (‘id’ missing for update)
{
"examples": [
{
"input": "Hello"
}
]
}
curl --request PATCH \
--url https://api.arize.com/v2/datasets/{dataset_id}/examples \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"examples": [
{
"id": "example_001",
"question": "What is 2 * 2?"
},
{
"id": "example_002",
"question": "What is the square root of 64?",
"answer": "8"
},
{
"id": "example_003",
"question": "If 9x = 36, what is x?",
"topic": "algebra"
}
]
}
'{
"id": "RGF0YXNldDoxOmFCY0Q=",
"name": "Sample Dataset",
"space_id": "U3BhY2U6MTphQmNE",
"created_at": "2024-01-01T12:00:00Z",
"updated_at": "2024-01-02T12:00:00Z",
"dataset_version_id": "RGF0YXNldFZlcnNpb246MTphQmNE",
"example_ids": [
"550e8400-e29b-41d4-a716-446655440000",
"6ba7b810-9dad-11d1-80b4-00c04fd430c8"
]
}Documentation Index
Fetch the complete documentation index at: https://arize-ax.mintlify.dev/docs/llms.txt
Use this file to discover all available pages before exploring further.
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
The unique dataset identifier (base64) A universally unique identifier (base64-encoded opaque string).
"RW50aXR5OjEyMzQ1"
The unique identifier of the dataset version A universally unique identifier (base64-encoded opaque string).
"RW50aXR5OjEyMzQ1"
Body containing dataset examples for update operation by ID matching
Array of examples with 'id' field for matching and updating existing records
1 - 1000 elementsShow child attributes
Name for the new version. If provided (non-empty), creates a new version with that name.
If omitted or empty, updates the existing version in-place.
Examples successfully updated in the dataset.
A dataset with the IDs of examples that were inserted or updated. Includes the version the examples were written to and the list of affected example IDs.
Unique identifier for the dataset
Name of the dataset
Unique identifier for the space this dataset belongs to
Timestamp for when the dataset was created
Timestamp for the last update of the dataset
Unique identifier for the dataset version the examples were written to
IDs of the examples that were inserted or updated
Was this page helpful?
Suggestions